Subject: Re: [PATCH] add -p: introduce 'w' command to view hunk with --word-diff

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 May 2026 09:16:23 +0900

"D. Ben Knoble" <[email-masked]> writes:

> I concur, though I wonder what other diff options would be useful. I
> can imagine a world where "add --patch" allows to reshow the patch
> with any set of custom options. Spitballing…
>
>      :show <opts>
>
> …could work, since we have room to allow long-form commands still.
> This could be extended to arbitrary git-* commands, and ":!cmd" could
> be used for shelling out.
> (Can you tell I use Vim?)
>
> Anyway, what I like about this is we don't have to worry about running
> out of (or thinking up new mnemonics for) single letters for different
> combinations of diff options, so it's a bit more extensible.

If you mean "don't waste a new letter, like 'w', every time you come
up with a use case to show the patch hunk differently", I had the
same reaction to suggest reusing 'p' but allow options after it,
just like the output from "git diff" can be modified by giving it an
option "--word-diff".  But how would it work for single-key folks (I
am not one of them so I have less sympathy than I should in this
case, but still...).